> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/cloud-api-v6/user-management/retrieve-groups.md).

# Retrieve groups

Retrieve a group by the group ID. This value is in the response body when the group is created, and in the list of the groups, returned by GET.

```json
{"openapi":"3.0.3","info":{"title":"CLOUD API","version":"6.0"},"tags":[{"name":"User management"}],"servers":[{"url":"https://api.ionos.com/cloudapi/v6"}],"security":[{"BasicAuthentication":[]},{"TokenAuthentication":[]}],"components":{"securitySchemes":{"BasicAuthentication":{"type":"http","description":"You will need to base64 encode the string containing your credentials. <div style=\"padding: 15px; border: 1px solid #d1ecf1; background-color: #d1ecf1; color: #0c5460; margin-bottom: 15px;\">\n  <strong>Note:</strong><br/><br/>\n  <ul><li><b>Basic Authentication</b> is supported only when <b>2-Factor \n  Authentication</b> is not configured.</li>\n  <li>Users with <b>2-Factor \n  Authentication</b> activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). \n  These tokens do not inherit the <b>2FA-secured</b> property by default.</li><li>Token deletion is only possible using the <b>Token Manager</b>.</li>\n</div> Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication","scheme":"basic"},"TokenAuthentication":{"type":"apiKey","description":"Please provide header value as 'Bearer <token>' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.","name":"Authorization","in":"header"}},"schemas":{"Group":{"required":["properties"],"type":"object","properties":{"id":{"type":"string","description":"The resource's unique identifier.","readOnly":true},"type":{"type":"string","description":"The type of the resource.","allOf":[{"$ref":"#/components/schemas/Type"}]},"href":{"type":"string","description":"URL to the object representation (absolute path).","format":"uri","readOnly":true},"properties":{"$ref":"#/components/schemas/GroupProperties"},"entities":{"$ref":"#/components/schemas/GroupEntities"}}},"Type":{"type":"string","enum":["datacenter","server","volume","nic","loadbalancer","location","firewall-rule","flow-log","image","snapshot","lan","ipblock","pcc","contract","user","group","collection","resource","request","request-status","s3key","backupunit","label","k8s","nodepool","template","networkloadbalancer","forwarding-rule","natgateway","natgateway-rule","node","applicationloadbalancer","target-group","security-group","gpu"]},"GroupProperties":{"type":"object","properties":{"name":{"type":"string","description":"The name of the resource."},"createDatacenter":{"type":"boolean","description":"Create data center privilege."},"createSnapshot":{"type":"boolean","description":"Create snapshot privilege."},"reserveIp":{"type":"boolean","description":"Reserve IP block privilege."},"accessActivityLog":{"type":"boolean","description":"Activity log access privilege."},"createPcc":{"type":"boolean","description":"User privilege to create a cross connect."},"s3Privilege":{"type":"boolean","description":"S3 privilege."},"createBackupUnit":{"type":"boolean","description":"Create backup unit privilege."},"createInternetAccess":{"type":"boolean","description":"Create internet access privilege."},"createK8sCluster":{"type":"boolean","description":"Create Kubernetes cluster privilege."},"createFlowLog":{"type":"boolean","description":"Create Flow Logs privilege."},"accessAndManageMonitoring":{"type":"boolean","description":"Privilege for a group to access and manage monitoring related functionality (access metrics, CRUD on alarms, alarm-actions etc) using Monotoring-as-a-Service (MaaS)."},"accessAndManageCertificates":{"type":"boolean","description":"Privilege for a group to access and manage certificates."},"manageDBaaS":{"type":"boolean","description":"Privilege for a group to manage DBaaS related functionality."},"accessAndManageDns":{"type":"boolean","description":"Privilege for a group to access and manage dns records."},"manageRegistry":{"type":"boolean","description":"Privilege for group accessing container registry related functionality."},"manageDataplatform":{"type":"boolean","description":"Privilege for a group to access and manage the Data Platform."},"accessAndManageLogging":{"type":"boolean","description":"Privilege for a group to access and manage Logs."},"accessAndManageCdn":{"type":"boolean","description":"Privilege for a group to access and manage CDN."},"accessAndManageVpn":{"type":"boolean","description":"Privilege for a group to access and manage VPN."},"accessAndManageApiGateway":{"type":"boolean","description":"Privilege for a group to access and manage API Gateway."},"accessAndManageKaas":{"type":"boolean","description":"Privilege for a group to access and manage KaaS."},"accessAndManageNetworkFileStorage":{"type":"boolean","description":"Privilege for a group to access and manage Network File Storage."},"accessAndManageAiModelHub":{"type":"boolean","description":"Privilege for a group to access and manage AI Model Hub."},"accessAndManageIamResources":{"type":"boolean","description":"Privilege for a group to access and manage Password Policies."},"createNetworkSecurityGroups":{"type":"boolean","description":"Privilege for a group to access and manage Network Security Groups."},"accessAndManageTracing":{"type":"boolean","description":"Privilege for a group to access and manage the Tracing observability service."}}},"GroupEntities":{"type":"object","description":"Collection of entity references associated with a group.","properties":{"users":{"$ref":"#/components/schemas/GroupMembersRef"},"resources":{"$ref":"#/components/schemas/ResourceGroupsRef"}}},"GroupMembersRef":{"type":"object","description":"Reference to group members (without nested items).","properties":{"id":{"type":"string","description":"The resource's unique identifier.","readOnly":true},"type":{"type":"string","description":"The type of object that has been created.","allOf":[{"$ref":"#/components/schemas/Type"}]},"href":{"type":"string","description":"URL to the object representation (absolute path).","format":"uri","readOnly":true}}},"ResourceGroupsRef":{"type":"object","description":"Reference to resources assigned to a group (without nested items).","properties":{"id":{"type":"string","description":"The resource's unique identifier.","readOnly":true},"type":{"type":"string","description":"The type of the resource.","allOf":[{"$ref":"#/components/schemas/Type"}]},"href":{"type":"string","description":"URL to the object representation (absolute path).","format":"uri","readOnly":true}}},"Error":{"type":"object","properties":{"httpStatus":{"type":"integer","description":"HTTP status code of the operation.","format":"int32","readOnly":true},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}}},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code.","readOnly":true},"message":{"type":"string","description":"A human-readable message.","readOnly":true}}}}},"paths":{"/um/groups/{groupId}":{"get":{"tags":["User management"],"summary":"Retrieve groups","description":"Retrieve a group by the group ID. This value is in the response body when the group is created, and in the list of the groups, returned by GET.","operationId":"umGroupsFindById","parameters":[{"name":"groupId","in":"path","description":"The unique ID of the group.","required":true,"schema":{"type":"string"}},{"name":"pretty","in":"query","description":"Controls whether the response is pretty-printed (with indentations and new lines).","schema":{"type":"boolean","default":true}},{"name":"depth","in":"query","description":"Controls the detail depth of the response objects. <b>NOTE:</b> The resource /um and its children support a maximum depth level of 1. It will provide you the entry points to specific user related resources. As these resources are partially servered by other service components, they must be retrieved explicitly. Any depth parameter beyond '?depth=1' will be deprecated by April 30, 2026.","schema":{"maximum":1,"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"X-Contract-Number","in":"header","description":"Users with multiple contracts must provide the contract number, for which all API requests are to be executed.","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successful operation","headers":{"X-RateLimit-Remaining":{"description":"The number of requests that can still be made without triggering a failure response.","schema":{"type":"integer","format":"int32"}},"X-RateLimit-Limit":{"description":"The average number of requests per minute allowed.","schema":{"type":"integer","format":"int32"}},"X-RateLimit-Burst":{"description":"The maximum number of concurrent API requests allowed.","schema":{"type":"integer","format":"int32"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}}},"default":{"description":"Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/cloud-api-v6/user-management/retrieve-groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
